﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ArcGIS.Core.CIM;
using ArcGIS.Core.Data;
using ArcGIS.Core.Geometry;
using ArcGIS.Desktop.Catalog;
using ArcGIS.Desktop.Core;
using ArcGIS.Desktop.Editing;
using ArcGIS.Desktop.Extensions;
using ArcGIS.Desktop.Framework;
using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Dialogs;
using ArcGIS.Desktop.Framework.Threading.Tasks;
using ArcGIS.Desktop.Mapping;

namespace FeatureServiceDemo.Demo3
{
	internal class MoveFeatures : Button
	{
		protected override void OnClick()
		{

			QueuedTask.Run(() =>
			{

				var selection = MapView.Active.Map.GetSelection();
				if (!Module1.Current.CheckSelection(selection))
					return;

				var edits = new EditOperation()
				{
					Name = "Move Features",
					SelectModifiedFeatures = true
				};

				edits.Move(selection, 0, Module1.Current.MoveDistance);
				edits.Execute();
			});
		}
	}
}
